## mingw-w64-python-pycares-4.8.0-1.src.tar.zst

=== deps/c-ares/docs/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT
# Headers and Man Pages installation target
IF (CARES_INSTALL)
	# ManPages
	FILE (GLOB DevelManPages "." "*.3")
	INSTALL (FILES ${DevelManPages}
		DESTINATION ${CMAKE_INSTALL_MANDIR}/man3
		COMPONENT Devel
	)

	IF (CARES_BUILD_TOOLS)
		FILE (GLOB ToolManPages "." "*.1")
		INSTALL (FILES ${ToolManPages}
			DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
			COMPONENT Tools
		)
	ENDIF ()
ENDIF ()

=== PKGBUILD ===
# Maintainer: Biswapriyo Nath <nathbappai@gmail.com>

_realname=pycares
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=4.8.0
pkgrel=1
pkgdesc='Python interface for c-ares (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://github.com/saghul/pycares'
msys2_references=(
  'purl: pkg:pypi/pycares'
)
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-c-ares"
         "${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-cffi")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools")
checkdepends=("${MINGW_PACKAGE_PREFIX}-python-idna")
optdepends=("${MINGW_PACKAGE_PREFIX}-python-idna")
options=('!strip')
source=("https://pypi.org/packages/source/${_realname::1}/${_realname}/${_realname}-${pkgver}.tar.gz")
sha256sums=('2fc2ebfab960f654b3e3cf08a732486950da99393a657f8b44618ad3ed2d39c1')

build() {
  cp -r "${_realname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"

  PYCARES_USE_SYSTEM_LIB=1 \
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
